Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Interface InputMethodListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  AWTEventMulticaster

    public interface InputMethodListener

extends EventListener

The listener interface for receiving input method events. A text editing component has to install an input method event listener in order to work with input methods.

The text editing component also has to provide an instance of InputMethodRequests.

Since:
  1.2
See Also:
  `InputMethodEvent`, `InputMethodRequests`

Method Summary
`void` | `caretPositionChanged(InputMethodEvent event)` Invoked when the caret within composed text has changed.
`void` | `inputMethodTextChanged(InputMethodEvent event)` Invoked when the text entered through an input method has changed.

Method Detail

### inputMethodTextChanged

    void inputMethodTextChanged(InputMethodEvent event)

  Invoked when the text entered through an input method has changed.

### caretPositionChanged

    void caretPositionChanged(InputMethodEvent event)

  Invoked when the caret within composed text has changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.